Loading...
Searching...
No Matches
DiscordDataProvider::DiscordDataProviderBase Class Reference

The Discord data provider base class. More...

`#include <DiscordDataProviderBase.qc.dox.h>`

Inheritance diagram for DiscordDataProvider::DiscordDataProviderBase:
[legend]

## Public Member Functions

| constructor ()
| Creates the object.
| constructor (DiscordRestClient rest, *Logger::LoggerInterface logger)
| Creates the object.
| constructor (DiscordRestConnection conn, *Logger::LoggerInterface logger)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Static Public Member Functions

static | threadWait (date wait_period)
| Wait for a given period of time.

## Public Attributes

const | MaxIoRetries = 5
| Max retries.
const | RetrySet = ...
| IO errors for REST retries.

## Protected Member Functions

hash< auto > | doRestCommand (string method, string path, auto body, reference< hash< auto > > info)
| Makes a REST call and returns the response; handles rate limit responses.
hash< auto > | getGuild (string id)
| Retrieves info for the given guild; must be accessible to the calling user.
bool | retry (hash< ExceptionInfo > ex, reference< int > retries)
| Returns True if the error indicates that the operation should be retried.

## Protected Attributes

*DiscordRestConnection | conn
| The connection object used to create the REST client.
*DiscordRestClient | rest
| The REST client object for API calls.

## Detailed Description

The Discord data provider base class.